/**
 * 
 */
package com.steering.mes.zgmil.entity;

/**
 * 数据库表MIL_BASE_ADDRESS所对应的实体类（生成工具：代码生成器2.4）
 * @author ZJAY-PC   date 2015-10-31
 */
public class MilBaseAddressEntity {
    /**
     * 操作台IP地址3
     */
    private String ipAddress3;
    /**
     * 操作台IP地址4
     */
    private String ipAddress4;
    /**
     * 操作台IP地址1
     */
    private String ipAddress1;
    /**
     * 操作台IP地址2
     */
    private String ipAddress2;
    /**
     * 工序号(GP-管排锯 JZ-矫直 TS-探伤)
     */
    private String processNo;
    /**
     * 操作台(1/2/3)
     */
    private String operatCode;
    /**
     * 操作台名称
     */
    private String operatName;
    /**
     * 厂线代码(250机组-C008、258机组-C009、168机组-C010、ASSEL机组-C012、460机组-C017)
     */
    private String plineCode;
    /**
     * 备注
     */
    private String remark;

    public MilBaseAddressEntity(){
        ipAddress3 = "";
        ipAddress4 = "";
        ipAddress1 = "";
        ipAddress2 = "";
        processNo = "";
        operatCode = "";
        operatName = "";
        plineCode = "";
        remark = "";
    }

    /**
     * 操作台IP地址3
     * @return value
     */
    public String getIpAddress3() {
        return ipAddress3;
    }

    /**
     * 操作台IP地址3
     * @param ipAddress3 value
     */
    public void setIpAddress3(String ipAddress3) {
        this.ipAddress3 = ipAddress3;
    }

    /**
     * 操作台IP地址4
     * @return value
     */
    public String getIpAddress4() {
        return ipAddress4;
    }

    /**
     * 操作台IP地址4
     * @param ipAddress4 value
     */
    public void setIpAddress4(String ipAddress4) {
        this.ipAddress4 = ipAddress4;
    }

    /**
     * 操作台IP地址1
     * @return value
     */
    public String getIpAddress1() {
        return ipAddress1;
    }

    /**
     * 操作台IP地址1
     * @param ipAddress1 value
     */
    public void setIpAddress1(String ipAddress1) {
        this.ipAddress1 = ipAddress1;
    }

    /**
     * 操作台IP地址2
     * @return value
     */
    public String getIpAddress2() {
        return ipAddress2;
    }

    /**
     * 操作台IP地址2
     * @param ipAddress2 value
     */
    public void setIpAddress2(String ipAddress2) {
        this.ipAddress2 = ipAddress2;
    }

    /**
     * 工序号(GP-管排锯 JZ-矫直 TS-探伤)
     * @return value
     */
    public String getProcessNo() {
        return processNo;
    }

    /**
     * 工序号(GP-管排锯 JZ-矫直 TS-探伤)
     * @param processNo value
     */
    public void setProcessNo(String processNo) {
        this.processNo = processNo;
    }

    /**
     * 操作台(1/2/3)
     * @return value
     */
    public String getOperatCode() {
        return operatCode;
    }

    /**
     * 操作台(1/2/3)
     * @param operatCode value
     */
    public void setOperatCode(String operatCode) {
        this.operatCode = operatCode;
    }

    /**
     * 操作台名称
     * @return value
     */
    public String getOperatName() {
        return operatName;
    }

    /**
     * 操作台名称
     * @param operatName value
     */
    public void setOperatName(String operatName) {
        this.operatName = operatName;
    }

    /**
     * 厂线代码(250机组-C008、258机组-C009、168机组-C010、ASSEL机组-C012、460机组-C017)
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 厂线代码(250机组-C008、258机组-C009、168机组-C010、ASSEL机组-C012、460机组-C017)
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 备注
     * @return value
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 备注
     * @param remark value
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }
}